html, * { margin:0;padding:0;}

body { 
	background-color:#fff; 
	font-family:"Courier New", Courier, monospace;
	overflow: hidden; 
	display: flex;

}

p { line-height: 1.2;}

.b-container{
	background-image: url("./bg-retropc.png");
	background-size: cover;
	background-position: top center;
	display: flex;
	align-items: center;
	height: 100vh; width: 100vw;
	flex-direction: column;
}


/*.canvas {
	margin : 0 auto;
	width : 457px;
	height: 320px;
	display : block;
	margin-top : 112px;
	background-color : #333;
	cursor : none;
}*/

.canvas {
	width : 52%;
	height: 37.3%;
	display : flex;
	background-color : #333;
	cursor : none;
	margin-top: 19.5%;
	margin-left: -0.4%;
}

.gameintro {

	position: absolute;
	top:0;
	left:0;
	right:0;
	bottom:0;
	width:100vw;
	height:101vh;
	background-color: rgba(0,0,0,0.9);
	z-index:90;
	display: flex;
	background-image: url(./bg-retropc-intro.png);
    background-size: cover;
    background-position: top;
    background-repeat: no-repeat;
}

.gameintro h1 {
	
	font-family: 'Press Start 2P', cursive;
	font-size: 27px;
	color: #fafafa;
	margin-bottom: 10px;

}

.gameintro h4, .gamewon h4 {
	font-size: 20px;
	color: #fafafa;
	margin-bottom: 5px;

}

.gameintro p, .gamewon p {
	font-size: 17px;
	color: #fafafa;
	padding: 0 7%;
}

.gameintro_inn {
	position:relative;
	width:100vw;
	height:101vh;
	color:#333333;
	text-align:center;
	line-height:100%;
	font-size:32pt;
	z-index:91;
	display: flex;
	flex-flow: column;
	justify-content: center;
	align-items: center;
	transform: scale(.9);
	margin-top: -8%;	
}

.gameover {
	position:relative;
	top:0;
	left:0;
	right:0;
	bottom:0;
	width:100vw;
	height:101vh;
	background-color:#222222;
	z-index:98;
	margin-top: -57%;
	display: flex;
}

.gameover h3, .gamewon h3, .gameintro h1{
	font-weight: 600; margin-bottom: 25px;
	color: #eee;
	font-size: 23px;
	line-height: 1;
	text-shadow: 0.06rem 0 0.06rem #ea36af, -0.125rem 0 0.06rem #75fa69;
	letter-spacing: 0.125em;
	animation-duration: 0.07s;
	animation-name: textflicker;
	animation-iteration-count: infinite;
	animation-direction: alternate;
}

.gameintro h1 {
	font-size: 27px;
	margin-bottom: 10px;
}

.gameover h3{ font-size: 32px;}

@keyframes textflicker {
  from {
    text-shadow: 2px 0 0 #ea36af, -3px 0 0 #75fa69;
  }
  to {
    text-shadow: 2px 0.5px 3px #ea36af, -1px -0.5px 3px #75fa69;
  }
}

.gameover p {font-size: 20px; margin-bottom: 25px;}

.gameover_inn {

	position:relative;
	width:100vw;
	height:101vh;
	color:#fafafa;
	text-align:center;
	line-height:100%;
	font-size:32pt;
	z-index:99;
	display: flex;
	flex-flow: column;
	justify-content: center;
	align-items: center;
	padding: 0 5%;
	box-sizing: border-box;

}

.gamepause {

	position:relative;
	top:0;
	left:0;
	right:0;
	bottom:0;
	width:100vw;
	height:101vh;
	z-index:96;
	font-weight: 600; margin-bottom: 25px;
	display: flex;
	margin-top: -65%;
	
}

.gamepause_inn {

	position:relative;
	width:100vw;
	height:101vh;
	text-align:center;
	vertical-align:middle;
	z-index:97;
	color: #fafafa !important;
	font-size: 32px;
	text-shadow: 0.06rem 0 0.06rem #ea36af, -0.125rem 0 0.06rem #75fa69;
	letter-spacing: 0.125em;
	animation-duration: 0.07s;
	animation-name: textflicker;
	animation-iteration-count: infinite;
	animation-direction: alternate;
	display: flex;
	flex-flow: column;
	justify-content: center;
	align-items: center;
	padding: 0 5%;
	box-sizing: border-box;

}

.gamewon {

	position:relative;
	top:0;
	left:0;
	right:0;
	bottom:0;
	width:100vw;
	height:101vh;
	background-color:#333;
	z-index:94;
	display: flex;
	margin-top: -55%;

}

.gamewon_inn {

	position:relative;
	width:100vw;
	height:101vh;
	text-align:center;
	vertical-align:middle;
	line-height:100%;
	font-size:32pt;
	z-index:95;
	display: flex;
	flex-flow: column;
	justify-content: center;
	align-items: center;
	padding: 0 5%;
	box-sizing: border-box;

}

.button {
	
	background-color:#fafafa;
	display:inline-block;
	cursor:pointer;
	color:#212121;
	font-family:"Courier New", Courier, monospace; 
	font-size:17px;
	font-weight:bold;
	padding:10px 32px;
	text-decoration:none;
	border: 2px solid #ea36af;
	box-shadow: 5px 5px #ea36af;
	transition: ease-in .2s;
}


.button:hover {
	background-color:#ea36af;
	color: #fafafa;
	box-shadow: 0px 0px transparent;
	transform: translate3d(5px, 5px, 0);
}

.button:active {

	position:relative;
	top:1px;

}

.gamestats { list-style:none;display:block;width:100%; padding: 5px;}
.gamestats_li { float:left;
	width:25%;
	display:block;
	font-size:18pt;
	color:#fafafa;
	min-width:250px;
	text-align:center; 
}

.clear { clear:both; }

.gamemeta { color:#66FFFF;text-align:center;font-family:"Courier New", Courier, monospace; }


